# ApplicationFramework
TKPLCAF
MDF

# MDF_DriverListOfASDriverTable Class Reference

`#include <MDF_DriverListOfASDriverTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_DriverListOfASDriverTable ()
Standard_EXPORT void | Assign (const MDF_DriverListOfASDriverTable &Other)
void | operator= (const MDF_DriverListOfASDriverTable &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~MDF_DriverListOfASDriverTable ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(MDF_ASDriver)&I)
Standard_EXPORT void | Prepend (const Handle(MDF_ASDriver)&I, MDF_ListIteratorOfDriverListOfASDriverTable &theIt)
Standard_EXPORT void | Prepend (MDF_DriverListOfASDriverTable &Other)
Standard_EXPORT void | Append (const Handle(MDF_ASDriver)&I)
Standard_EXPORT void | Append (const Handle(MDF_ASDriver)&I, MDF_ListIteratorOfDriverListOfASDriverTable &theIt)
Standard_EXPORT void | Append (MDF_DriverListOfASDriverTable &Other)
Standard_EXPORT Handle_MDF_ASDriver & | First () const
Standard_EXPORT Handle_MDF_ASDriver & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (MDF_ListIteratorOfDriverListOfASDriverTable &It)
Standard_EXPORT void | InsertBefore (const Handle(MDF_ASDriver)&I, MDF_ListIteratorOfDriverListOfASDriverTable &It)
Standard_EXPORT void | InsertBefore (MDF_DriverListOfASDriverTable &Other, MDF_ListIteratorOfDriverListOfASDriverTable &It)
Standard_EXPORT void | InsertAfter (const Handle(MDF_ASDriver)&I, MDF_ListIteratorOfDriverListOfASDriverTable &It)
Standard_EXPORT void | InsertAfter (MDF_DriverListOfASDriverTable &Other, MDF_ListIteratorOfDriverListOfASDriverTable &It)

## Private Member Functions

Standard_EXPORT | MDF_DriverListOfASDriverTable (const MDF_DriverListOfASDriverTable &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT MDF_DriverListOfASDriverTable::MDF_DriverListOfASDriverTable | ( |  | ) |

MDF_DriverListOfASDriverTable::~MDF_DriverListOfASDriverTable | ( |  | ) | `[inline]`

Standard_EXPORT MDF_DriverListOfASDriverTable::MDF_DriverListOfASDriverTable | ( | const MDF_DriverListOfASDriverTable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void MDF_DriverListOfASDriverTable::Append | ( | MDF_DriverListOfASDriverTable & | Other | ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Append | ( | const Handle(MDF_ASDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfASDriverTable & | theIt
| ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Append | ( | const Handle(MDF_ASDriver)& | I | ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Assign | ( | const MDF_DriverListOfASDriverTable & | Other | ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer MDF_DriverListOfASDriverTable::Extent | ( |  | ) | const

Standard_EXPORT Handle_MDF_ASDriver& MDF_DriverListOfASDriverTable::First | ( |  | ) | const

Standard_EXPORT void MDF_DriverListOfASDriverTable::InsertAfter | ( | MDF_DriverListOfASDriverTable & | Other,
|  | MDF_ListIteratorOfDriverListOfASDriverTable & | It
| ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::InsertAfter | ( | const Handle(MDF_ASDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfASDriverTable & | It
| ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::InsertBefore | ( | MDF_DriverListOfASDriverTable & | Other,
|  | MDF_ListIteratorOfDriverListOfASDriverTable & | It
| ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::InsertBefore | ( | const Handle(MDF_ASDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfASDriverTable & | It
| ) |

Standard_Boolean MDF_DriverListOfASDriverTable::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_MDF_ASDriver& MDF_DriverListOfASDriverTable::Last | ( |  | ) | const

void MDF_DriverListOfASDriverTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_DriverListOfASDriverTable::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_DriverListOfASDriverTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void MDF_DriverListOfASDriverTable::operator= | ( | const MDF_DriverListOfASDriverTable & | Other | ) | `[inline]`

Standard_EXPORT void MDF_DriverListOfASDriverTable::Prepend | ( | MDF_DriverListOfASDriverTable & | Other | ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Prepend | ( | const Handle(MDF_ASDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfASDriverTable & | theIt
| ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Prepend | ( | const Handle(MDF_ASDriver)& | I | ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::Remove | ( | MDF_ListIteratorOfDriverListOfASDriverTable & | It | ) |

Standard_EXPORT void MDF_DriverListOfASDriverTable::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address MDF_DriverListOfASDriverTable::myFirst `[private]`

Standard_Address MDF_DriverListOfASDriverTable::myLast `[private]`

The documentation for this class was generated from the following file:

- MDF_DriverListOfASDriverTable.hxx